# ogDHCP: API para Gestión de Kea DHCP

El componente `ogdhcp` es una API especializada para administrar eficientemente la configuración de Kea DHCP, un servidor DHCP de código abierto desarrollado por ISC (Internet Systems Consortium) que proporciona soporte completo tanto para DHCPv4 como DHCPv6.

## Características principales

La API `ogdhcp` ofrece una interfaz intuitiva que permite a usuarios y aplicaciones como OpenGNSys interactuar remotamente con Kea DHCP, eliminando la necesidad de modificar manualmente los archivos de configuración. Esta solución automatizada agiliza significativamente la gestión de la infraestructura de red.

## Funcionalidades

La API proporciona un conjunto completo de operaciones que permiten:

- Consultar en tiempo real la configuración actual de Kea DHCP
- Gestionar de forma integral la configuración de Kea DHCP:
  - Añadir, eliminar o modificar subredes
  - Administrar reservas de direcciones IP
  - Configurar opciones específicas de DHCP
  - Personalizar parámetros del servidor

Esta herramienta resulta especialmente valiosa para administradores de sistemas que necesitan una gestión centralizada y eficiente de la configuración DHCP en entornos de red complejos.
